Subject: bug#6922: 23.1; Setting read-only property in an overlay has no effect

From: Marcin Borkowski <[email-masked]>
Date: Sun, 07 Feb 2016 23:30:42 +0100

On 2016-02-07, at 23:24, John Wiegley <[email-masked]> wrote:

>>>>>> Eli Zaretskii <[email-masked]> writes:
>
>> What is the current consensus? should we adjust the documentation or fix the
>> code? John? Richard?
>
> I think read-only overlays could be very useful. For example:
>
>  1. Create a command called `mask-regexp'. It creates read-only overlays for
>     matching text throughout the buffer.
>  2. There should also be a way to add manual masks, using `mask-region'.
>  3. Now use `replace-string' or any other command to bulk transform text.
>     However, masked text is not changed.
>  4. Then execute unmask-all, and the mask disappears.
>
> This method of editing is key to video editing workflows. I think the only
> reason I never thought to use it in Emacs is because it's never been there
> (and so never occurred to me until now).

That's a fantastic idea!  I envision "LaTeX-mask-environment", and bam!
query-replace does not touch verbatim, for instance.  That could be very
useful!  I did something similar with texmathp and math mode, but I like
your approach with "masking".

Best,

-- 
Marcin Borkowski
http://octd.wmi.amu.edu.pl/en/Marcin_Borkowski
Faculty of Mathematics and Computer Science
Adam Mickiewicz University